.wedding-gift {
    position: relative;
    width: 562px;
    height: auto;
    padding: 64px 0;
    background-color: var(--bg-color);
    font-family: 'Alegreya';
    color: var(--primary-color);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.subtitle {
    width: 60%;
    margin-top: 6px;
    text-align: center;
}

.wedding-gift .card-wrap {
    margin-top: 64px;
    width: 100%;
    padding: 0 44px;
    box-sizing: border-box;
}

.wedding-gift .card-wrap .wrapper {
    position: relative;
    margin-bottom: 24px;
    border: 1px solid #9C6162;
    background: linear-gradient(180deg, rgba(255, 227, 228, 0.10) 0%, rgba(156, 97, 98, 0.10) 100%);
    border-radius: 24px;
    overflow: hidden;
}


.wedding-gift .card-wrap .wrapper .details-card {
    padding: 16px 16px;
    display: inline-flex;
    flex-direction: column;
    gap: 8px;
}

.wedding-gift .card-wrap .wrapper .details-card span:nth-child(1) {
    font-size: 32px;
    font-weight: 700;
}

.wedding-gift .card-wrap .wrapper .details-card span:nth-child(2) {
    font-size: 16px;
}

.wedding-gift .card-wrap .wrapper .details-card span:nth-child(3) {
    text-transform: uppercase;
    font-weight: 600;
}

.wedding-gift .card-wrap .wrapper .button-wrap {
    padding: 8px;
    display: flex;
    justify-content: flex-end;
}

.wedding-gift .card-wrap .wrapper .button-wrap .custom-button {
    display: inline-flex;
    align-items: end;
    padding: 10px 24px;
    margin-top: 0;
    background-color: var(--bg-color);
    color: var(--primary-color);
}

.wedding-gift .card-wrap .orn {
    position: absolute;
    width: 100%;
    top: -30%;
}

.wedding-gift .card-wrap .orn .circle {
    width: 144px;
    height: 144px;
    background-color: #9c6162c4;
    border-radius: 220px;
    position: absolute;
    right: -10%;
}

.wedding-gift .card-wrap .orn .circle:nth-child(2) {
    background-color: #9c616282;
    right: 6%;
}


.wedding-gift .orn-divider {
    top: -12%;
    pointer-events: none;
}


@media (max-width: 562px) {
    .wedding-gift {
        width: 100%;
    }

    .wedding-gift .card-wrap {
        padding: 0 24px;
    }
}

@media (max-width: 375px) {
    .wedding-gift .card-wrap .orn .circle {
        width: 64px;
        height: 64px;
        top: 0;
    }


    .wedding-gift .card-wrap .orn {
        right: -20px;
        top: -20px;
    }
}
